<?php
namespace nur\sery\wip\schema\input;

interface IInput {
  /** tester si la valeur existe sans tenir compte de $allowEmpty */
  function isPresent($key=null): bool;

  /** tester si la valeur est disponible en tenant compte de $allowEmpty */
  function isAvailable($key=null): bool;

  function get($key=null);

  function set($value, $key=null): void;

  function unset($key=null): void;

  function addKey($key): IInput;
}
